Name: gnome-db
Version: 0.2.96
Release: alt1.5

Summary: Database access for GNOME applications
License: LGPL
Group: Databases
Url: http://www.gnome.org/projects/gnome-db/
Packager: Nazar Yurpeak <phoenix@altlinux.org>


Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%name-%version.tar.bz2
Source1: gnome-db_48.xpm.bz2
Source2: gnome-db_32.xpm.bz2
Source3: gnome-db_16.xpm.bz2

PreReq: scrollkeeper
Requires: lib%name = %version-%release
Requires: libgda = %version gnome-print libgal >= 0.12

BuildPreReq: libgda-devel = %version  libgal-devel >= 0.10 

# Automatically added by buildreq on Tue Jun 21 2005 (-bi)
BuildRequires: ORBit-devel OpenSP bonobo docbook-dtds docbook-style-dsssl docbook-utils esound-devel freetype2-devel gdk-pixbuf-devel glib-devel glib2-devel glibc-devel-static gnome-libs-devel gtk+-devel gtk-doc imlib-devel libGConf-devel libaudiofile-devel libbonobo-devel libdb1-devel libgda-devel libgnomeprint-devel libpopt-devel libxml-devel oaf-devel openjade perl-devel pkgconfig scrollkeeper sgml-common xorg-x11-devel zlib-devel

#BuildRequires: ORBit-devel OpenSP XFree86-devel XFree86-libs bonobo docbook-dtds docbook-style-dsssl docbook-utils esound-devel freetype2-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel gtk-doc imlib-devel indent libGConf-devel libORBit libaudiofile-devel libbonobo-devel libdb1-devel libgda-devel libgnomeprint-devel liboaf libpopt-devel libwrap-devel libxml-devel oaf-devel openjade perl-devel scrollkeeper sgml-common sgmltools-lite xpm-devel zlib-devel


%description
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains the core components of GNOME-DB.

%package -n lib%name
Summary: GNOME DB libraries
Group: System/Libraries

%description -n lib%name
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

%package -n lib%name-devel
Summary: GNOME DB Development
Group: Development/Databases
Requires: lib%name = %version-%release
Provides: %name-devel = %version

%description -n lib%name-devel
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains libraries, header files and tools to let
you develop GNOME-DB applications.

%package -n lib%name-devel-static
Summary: GNOME DB static libraries
Group: Development/Databases
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains static libraries if you need them
you develop GNOME-DB applications.

%prep
%setup -q

%build
%configure

# SMP-incompatible build
%make

%install
%make DESTDIR=%buildroot install

%__mkdir_p %buildroot{%_menudir,%_iconsdir,%_liconsdir,%_miconsdir}

%__cat << __MENU__ > %buildroot%_menudir/%name
?package(%name): command="%_bindir/gnomedb-fe" icon="gnome-db.xpm" \
needs="X11" section="Applications/Databases" title="GNOME-DB frontend" \
longtitle="Gnome-DB frontend application"
__MENU__

bzcat %SOURCE1 > %buildroot%_liconsdir/gnome-db.xpm
bzcat %SOURCE2 > %buildroot%_iconsdir/gnome-db.xpm
bzcat %SOURCE3 > %buildroot%_miconsdir/gnome-db.xpm

# For compatible with GNOME2 gnome-db
cd %buildroot%_datadir/idl
mv GNOME_Database_UI.idl GNOME1_Database_UI.idl
cd -

%find_lang %name

%post
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %_datadir/gnome/help/gnome-db/*
%doc %_datadir/gnome/html/libgnomedb*
%_bindir/gnomedb-components
%_bindir/gnomedb-fe
%_bindir/gnomedb-mgr
#%_bindir/gnomedb-monikers
%_datadir/gnome/apps/Applications/gnomedb-fe.desktop
%_datadir/pixmaps/*
%_datadir/oaf/GNOME_DB_*
%_datadir/gnome/ui/*.xml
%_datadir/omf/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_menudir/*

%files -n lib%name
%_libdir/libgnomedb.so.*
%_libdir/bonobo/monikers/*.so*
%_datadir/idl/*

%files -n lib%name-devel
%_bindir/gnomedb-config
%_bindir/gnomedb-builder
%_libdir/lib*.so
#%_libdir/lib*.la
#%_libdir/bonobo/monikers/*.la
%_includedir/libgnomedb-%version/gnome-db

%files -n lib%name-devel-static
%_libdir/lib*.a
%_libdir/bonobo/monikers/*.a

%changelog
* Tue Jun 21 2005 Nazar Yurpeak <phoenix@altlinux.org> 0.2.96-alt1.5
- Updated BuildRequires
- Fixed bug #6700

* Fri Dec 19 2003 Nazar Yurpeak <phoenix@altlinux.org> 0.2.96-alt1.4
- removed .la

* Wed Oct 23 2003 Nazar Yurpeak <phoenix@altlinux.org> 0.2.96-alt1.3
- Updated BuildRequires
- removed BuildPreReq on gtkhtml

* Fri Nov 01 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.96-alt1.2
- rebuild with new perl

* Mon Oct 28 2002 Vitaly Lipatov <lav@altlinux.ru> 0.2.96-alt1.1
- rename IDL file GNOME_Database for GNOME2 compatible

* Thu Sep 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.96-alt1
- 0.2.96, gcc-3.2 used.

* Mon Feb 04 2002 AEN <aen@logic.ru> 0.2.95-alt1
- new version

* Thu Oct 18 2001 AEN <aen@logic.ru> 0.2.92-alt1
- new version

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.2.91-alt1
- new version
* Wed Aug 22 2001 AEN <aen@logic.ru> 0.2.90-alt2
- new tarball from authors
* Wed Aug 15 2001 AEN <aen@logic.ru> 0.2.90-alt1
- new version
- build w/o doc
* Sun Jul 08 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.10-alt1.2
- build dependencies on gnome-doc-tools and docbook-dtd30-sgml

* Sat Jul 07 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.10-alt1.1
- fixed file list
- buildreq

* Thu Jun 28 2001 AEN <aen@logic.ru> 0.2.10-alt1
- new version

* Thu Jun 7 2001 AEN <aen@logic.ru> 0.2.9-alt1
- new version
- new makefile patch
* Mon May 21 2001 AEN <aen@logic.ru> 0.2.3-ipl7mdk
- rebuild with  gal-0.8
* Fri May 18 2001 AEN <aen@logic.ru> 0.2.3-ipl6mdk
- rebuild with new gtkhtml
* Tue May 15 2001 AEN <aen@logic.ru> 0.2.3-ipl5mdk
- rebuild with gal-0.7

* Sat Apr 7 2001 AEN <aen@logic.ru> 0.2.3-ipl4mdk
- rebuild with new gnome-print
* Tue Mar 13 2001 AEN <aen@logic.ru> 0.2.3-ipl3mdk
- rebuild in release environment

* Wed Feb 28 2001 AEN <aen@logic.ru>  0.2.3-ipl2mdk
- RE adaptation
- new version

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libification
- Patch 0 to compile with latest bonobo

* Fri Aug 11 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec
